Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class SeriesTextRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.SeriesTextRecord

    public final class SeriesTextRecord

extends StandardRecord

SERIESTEXT (0x100D)

Defines a series name

Author:
  Andrew C. Oliver (acoliver at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`SeriesTextRecord()`
`SeriesTextRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`protected int` | `getDataSize()`
`int` | `getId()` Get the id field for the SeriesText record.
`short` | `getSid()` return the non static version of the id for this record.
`java.lang.String` | `getText()` Get the text field for the SeriesText record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setId(int id)` Set the id field for the SeriesText record.
`void` | `setText(java.lang.String text)` Set the text field for the SeriesText record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SeriesTextRecord

    public SeriesTextRecord()

### SeriesTextRecord

    public SeriesTextRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getId

    public int getId()

  Get the id field for the SeriesText record.

### setId

    public void setId(int id)

  Set the id field for the SeriesText record.

### getText

    public java.lang.String getText()

  Get the text field for the SeriesText record.

### setText

    public void setText(java.lang.String text)

  Set the text field for the SeriesText record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.